Summary:	Data encryption/decryption program
Name:		mcrypt
Version:	2.6.7
Release:	%mkrel 1
License:	GPLv2+
Group:		File tools
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL:		http://mcrypt.sourceforge.net/
Source0:	http://belnet.dl.sourceforge.net/sourceforge/mcrypt/%{name}-%{version}.tar.gz
Source1:	%{name}.bash-completion
BuildRequires:	libmhash-devel >= 0.8.15
BuildRequires:	libmcrypt-devel >= 2.5.0

%description
A replacement for the old unix crypt(1) command. Mcrypt uses the following
encryption (block) algorithms: BLOWFISH, DES, TripleDES, 3-WAY, SAFER-SK64,
SAFER-SK128, CAST-128, RC2 TEA (extended), TWOFISH, RC6, IDEA and GOST. The
unix crypt algorithm is also included, to allow compatibility with the crypt(1)
command. CBC, ECB, OFB and CFB modes of encryption are supported.

%prep

%setup -q

cp %{SOURCE1} %{name}.bash-completion

%build

%configure2_5x

# ugly hack
export MKINSTALLDIRS="`pwd`/mkinstalldirs"
find -name "Makefile" | xargs perl -pi -e "s|^MKINSTALLDIRS.*|MKINSTALLDIRS=\"$MKINSTALLDIRS\"|g"

%make

%install
rm -rf %{buildroot}

%makeinstall

%find_lang %name

install -d %{buildroot}%{_sysconfdir}/bash_completion.d
install -m0644 %{name}.bash-completion %{buildroot}%{_sysconfdir}/bash_completion.d/%{name}

%clean
rm -rf %{buildroot}

%files -f %name.lang
%defattr(-,root,root)
%doc ABOUT-NLS AUTHORS ChangeLog COPYING INSTALL NEWS README THANKS TODO doc/FORMAT doc/magic doc/sample*
%config(noreplace) %{_sysconfdir}/bash_completion.d/%{name}
%{_bindir}/*
%{_mandir}/man1/*




%changelog
* Mon Aug 25 2008 Emmanuel Andry <eandry@mandriva.org> 2.6.7-1mdv2009.0
+ Revision: 275924
- New version
- fix license

* Tue Jul 29 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.6.5-3mdv2009.0
+ Revision: 252174
- rebuild
- fix no-buildroot-tag

* Mon Dec 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 2.6.5-1mdv2008.1
+ Revision: 129811
- kill re-definition of %%buildroot on Pixel's request


* Tue Feb 20 2007 Oden Eriksson <oeriksson@mandriva.com> 2.6.5-1mdv2007.0
+ Revision: 122966
- Import mcrypt

* Tue Feb 20 2007 Oden Eriksson <oeriksson@mandriva.com> 2.6.5-1mdv2007.1
- 2.6.5

* Thu May 12 2005 Lenny Cartier <lenny@mandriva.com> 2.6.4-4mdk
- rebuild

